using Prise.Proxy;
using PSCHelpdesk.Shared.Menu;
using PSCHelpdesk.Shared.Service;

namespace PSCHelpdesk.Plugins.HetznerServer;

public class MenuService : ReverseProxy, IMenuService
{
    public MenuService(object hostService) : base(hostService) { }

    public void AddMenuItem(Item item)
    {
        this.InvokeOnHostService<Item>(new[] { item });
    }
}